Skip to:
Content
Pages
Categories
Search
Top
Bottom

Upgrade 1.0RC to 1.1 (so that I may auto update)

  • Avatar of nicholmikey
    nicholmikey
    Participant

    @nicholmikey

    Hello, I am running BuddyPress 1.0RC with a large user base. I would like to upgrade to the latest version. I have seen steps on this site about how to upgrade from the 1.0 release, but not from 1.0RC. If anyone can point me in the right direction I would really appreciate it.

Viewing 11 replies - 1 through 11 (of 11 total)
  • Avatar of nicholmikey
    nicholmikey
    Participant

    @nicholmikey

    Should I take it that this is not possible, and I will have to extract the data and map it into a new install?

    This is such a huge, complicated issue. I’ve not even tried this myself. BP 1.2′s theme system changed, so you will be reverting back to the new default theme unless you build a new theme. Any specific BuddyPress plugins you are running will almost certainly stop working in some way. You’ve also got several WordPress versions to step through.

    What version of WordPress are you using? I’m guessing WPMU 2.7?

    Avatar of nicholmikey
    nicholmikey
    Participant

    @nicholmikey

    Well wordpress has been upgraded to 3.1 (was 2.9.2), BuddyPress is more or less functioning but we need to upgrade. I am prepared to re-write the theme, but I am concerned about migrating data. Do you think following the 1.0 upgrade directions on a 1.0rc1 version will retain the data? Or do I need to be prepared to extract and map data into the new install?

    BuddyPress 1.0 runs on WP 3.1? I wasn’t aware, impressive! The database schema changed a bit somewhere in the 1.0-1.2? releases, so try to stick to the upgrader if you can.

    Avatar of nicholmikey
    nicholmikey
    Participant

    @nicholmikey

    Well to my understanding 1.0rc1 does not have an auto-upgrade feature, is this correct?

    Also, thank you very much for the help!

    Sorry, I was being unclear. When a newer version of BuddyPress is put in place in /plugins, when you as an admin visit /wp-admin/, it will fire an internal update script. That’s what I was referring to.

    I can’t remember how similar 1.0rc to 1.0 was. I have not recently tried to see if it’s possible to upgrade from 1.0 to the latest version, 1.2.8, in one go. On the safe side, I suggest you upgrade to 1.0 first, then: 1.1, 1.2 (new BP-Default theme here — it should switch to the new default theme automatically), 1.2.4.1, 1.2.8.

    Avatar of nicholmikey
    nicholmikey
    Participant

    @nicholmikey

    Well the database design between 1.0rc and 1.2.8 has some large changes, I will try tomorrow to drop in a newer version and see if it changes the tables appropriately. Can you be more specific about what file is the “internal update script” ? Thanks!

    Just replace the entire plugin with a new version, and visit any page in wp-admin. That’s all you have to do.

    Avatar of nicholmikey
    nicholmikey
    Participant

    @nicholmikey

    I tried that and it had no effect. Is this page reposted anywhere? http://codex.buddypress.org/getting-started/installing-buddypress/upgrading-from-rc-1/

    Right now I have 2 plugin folders, mu-plugins and plugins. I coped 1.0 into the plugins folder but it does not show up on my list of plugins ( WordPress 3.1.2.). Currently the controls for 1.0rc1 shows up under tools. I tried deleting the buddypress plugin files from mu-plugins but that kills the site, makes it so it cannot load.

    It seems this site had a document about this : http://codex.buddypress.org/getting-started/installing-buddypress/upgrading-from-rc-1/ but it is down.

    Avatar of nicholmikey
    nicholmikey
    Participant

    @nicholmikey

    Ok I found it on the way-back machine, I would recommend returning it to the site if possible : http://replay.web.archive.org/20090627212041/http://codex.buddypress.org/getting-started/installing-buddypress/upgrading-from-rc-1/

    Avatar of nicholmikey
    nicholmikey
    Participant

    @nicholmikey

    Just updating this in case others run into the same problem. I have successfully upgraded while retaining all data using the following steps:

    Revert to a non BuddyPress theme
    Disable all MU plugins
    - Navigate to wp-content/mu-plugins/ file folder
    - remove or rename (example example.php.old) all .php files related to BuddyPress, or for plugins that call BuddyPress functionality. Leave these 2 in place :
    - Index.php
    - bp-core.php
    - Test site to ensure you have not removed a needed plugin that is not related to BuddyPress
    - Remove or rename bp-core.php
    Install BuddyPress 1.0
    - copy the unziped BuddyPress folder into the wp-content/plugins/ directory
    - Go to the network admin control panel in WordPress
    - Activate BuddyPress
    - Test site for data retention
    Upgrade to the latest BuddyPress
    - Go to the BuddyPress plugin on the plugin page
    - Click the automatic update button
    - Enable the default BuddyPress theme
    - Test site for data retention
    Upgrade Complete

    I have a custom theme to rebuild and some in house plug-ins to fix, I’ll post any important info I run into to help any other souls Google-ing this problem.

Viewing 11 replies - 1 through 11 (of 11 total)

You must be logged in to reply to this topic.